Retrieve an invoice | Moov Documentation
Retrieve an invoice
Retrieve an invoice by ID.
To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/invoices.read scope.
GET
/accounts/{accountID}/invoices/{invoiceID}
Ask
curl -X GET "https://api.moov.io/accounts/{accountID}/invoices/{invoiceID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"
Ask
mc, _ := moov.NewClient()
var accountID string
var invoiceID string
mc.GetInvoice(ctx, accountID, invoiceID)
Ask
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.invoices.getInvoice({
accountID: "3ecce96f-a052-4c96-b389-98e880af1ab4",
invoiceID: "fc90d016-39ea-4110-b77a-2e1c95827f46",
});
console.log(result);
}
run();
Ask
declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->invoices->getInvoice(
accountID: '3ecce96f-a052-4c96-b389-98e880af1ab4',
invoiceID: 'fc90d016-39ea-4110-b77a-2e1c95827f46'
);
if ($response->invoice !== null) {
// handle response
}
Ask
package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetInvoiceResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetInvoiceResponse res = sdk.invoices().getInvoice()
.accountID("3ecce96f-a052-4c96-b389-98e880af1ab4")
.invoiceID("fc90d016-39ea-4110-b77a-2e1c95827f46")
.call();
if (res.invoice().isPresent()) {
System.out.println(res.invoice().get());
}
}
}
Ask
from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.invoices.get_invoice(account_id="3ecce96f-a052-4c96-b389-98e880af1ab4", invoice_id="fc90d016-39ea-4110-b77a-2e1c95827f46")
# Handle response
print(res)
Ask
require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.invoices.get_invoice(account_id: '3ecce96f-a052-4c96-b389-98e880af1ab4', invoice_id: 'fc90d016-39ea-4110-b77a-2e1c95827f46')
unless res.invoice.nil?
# handle response
end
Ask
using Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Invoices.GetInvoiceAsync(
accountID: "3ecce96f-a052-4c96-b389-98e880af1ab4",
invoiceID: "fc90d016-39ea-4110-b77a-2e1c95827f46"
);
// handle response
The request completed successfully.
Ask
Invoice
{
"createdOn": "2024-05-06T12:20:38.184Z",
"customerAccountID": "3dfff852-927d-47e8-822c-2fffc57ff6b9",
"customerDisplayName": "Acme Corp",
"customerEmail": "billing@acmecorp.com",
"description": "Professional services for Q1 2026",
"disputedAmount": {
"currency": "USD",
"valueDecimal": "0.00"
},
"dueDate": "2026-02-15T00:00:00Z",
"invoiceDate": "2026-01-15T00:00:00Z",
"invoiceID": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43",
"invoiceNumber": "INV-1001",
"invoicePayments": [
{
"amount": {
"currency": "USD",
"valueDecimal": "1080.00"
},
"invoicePaymentID": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"invoicePaymentType": "transfer",
"transfer": {
"transferID": "ec7e1848-dc80-4ab0-8827-dd7fc0737b43"
}
}
],
"lineItems": {
"items": [
{
"basePrice": {
"currency": "USD",
"valueDecimal": "1000.00"
},
"name": "Professional Services",
"quantity": 1
}
]
},
"paidAmount": {
"currency": "USD",
"valueDecimal": "1080.00"
},
"paidOn": "2026-01-20T14:45:00Z",
"partnerAccountID": "5dfff852-927d-47e8-822c-2fffc57ff6b8",
"paymentLinkCode": "uc7ZYKrMhi",
"paymentLinkURL": "https://moov.link/p/uc7ZYKrMhi",
"pendingAmount": {
"currency": "USD",
"valueDecimal": "0.00"
},
"refundedAmount": {
"currency": "USD",
"valueDecimal": "0.00"
},
"sentOn": "2026-01-15T10:30:00Z",
"status": "paid",
"subtotalAmount": {
"currency": "USD",
"valueDecimal": "1000.00"
},
"totalAmount": {
"currency": "USD",
"valueDecimal": "1080.00"
}
}
Response headers
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
A unique identifier used to trace requests.
Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.07.00
A unique identifier for a Moov resource. Supports UUID format (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx) or typed format with base32-encoded UUID and type suffix (e.g., kuoaydiojf7uszaokc2ggnaaaa_xfer).
Display name of the customer account.
Email address of the customer account.
Total amount of disputes initiated against transfers paid towards the invoice
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
A collection of line items for an invoice.
Show child attributes
The list of line items.
Show child attributes
The base price of the item before applying option modifiers.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
The name of the item.
The quantity of this item.
Optional list of images associated with this line item.
Show child attributes
Alternative text for the image.
The image's public URL.
A unique identifier for an image, used in public image links.
Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations).
Show child attributes
The name of the option or modifier.
The quantity of this option.
Optional group identifier to categorize related options (e.g., 'toppings').
Optional list of images associated with this line item option.
Show child attributes
Alternative text for the image.
The image's public URL.
A unique identifier for an image, used in public image links.
Optional price modification applied by this option. Can be positive, negative, or zero.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Optional unique identifier associating the line item with a product. When provided, images associated with the product will be included on the line item. This does not populate other details of the line item.
Total amount of completed transfers paid towards the invoice
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Total amount of pending transfers paid towards the invoice
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Total amount of refunds initiated against transfers paid towards the invoice
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Possible values:
draft,
unpaid,
payment-pending,
paid,
overdue,
canceled
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Total amount of the invoice, including subtotal, tax, and surcharge amounts.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Show child attributes
The amount of surcharge applied to the invoice.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
The amount of tax applied to the invoice.
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Payment made towards an invoice, will be either a transfer or an external payment.
Show child attributes
Show child attributes
A 3-letter ISO 4217 currency code.
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
Show child attributes
Possible values:
transfer,
external
Show child attributes
URL to the hosted payment link for the invoice.